Bug 772993 - Review Request: globus-gram-audit - Globus Toolkit - GRAM Jobmanager Auditing
Summary: Review Request: globus-gram-audit - Globus Toolkit - GRAM Jobmanager Auditing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-10 15:51 UTC by Mattias Ellert
Modified: 2012-02-24 23:40 UTC (History)
4 users (show)

Fixed In Version: globus-gram-audit-3.1-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-17 23:51:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steve.traylen: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2012-01-10 15:51:08 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-audit.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-audit-3.1-1.fc16.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-audit package contains:
GRAM Jobmanager Auditing

Note to reviewers: Some of the build dependencies for this package are in updates-testing. Buildroot overrides are in place in koji.

Comment 2 Steve Traylen 2012-02-06 00:14:33 UTC
Package Review
==============

APPROVED


Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
ASL 2.0, good clear licensing.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
EPEL 4 even is on the cards.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f package.filelist section. This
     is OK if packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Rpmlint output is silent.

rpmlint globus-gram-audit-3.1-2.fc17.noarch.rpm

globus-gram-audit.noarch: I: enchant-dictionary-not-found en_US
globus-gram-audit.noarch: E: executable-marked-as-config-file /etc/cron.hourly/globus-gram-audit
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


rpmlint globus-gram-audit-3.1-2.fc17.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

This is new one on me and clearly contradicts that packages in /etc/
should be configuration files. 

Please do a tiny bit of research or ignore for now.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/steve/tmp/review/772993/globus_gram_audit-3.1.tar.gz :
  MD5SUM this package     : 4893df9928b92202c6688aae0b23ec5b
  MD5SUM upstream package : 4893df9928b92202c6688aae0b23ec5b

Deserves a comment -- how much easier does that make it. :-)

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.

Issues:

None unless you want to investigate the executable cron job mentioned above.


Generated by fedora-review 0.1.2

Comment 4 Steve Traylen 2012-02-08 21:49:09 UTC
Thanks, i had actually meant to approve last time.

Comment 5 Mattias Ellert 2012-02-09 08:06:56 UTC
New Package SCM Request
=======================
Package Name: globus-gram-audit
Short Description: Globus Toolkit - GRAM Jobmanager Auditing
Owners: ellert
Branches: f15 f16 f17 el4 el5 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-02-09 13:04:41 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-02-09 14:27:47 UTC
globus-gram-audit-3.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/globus-gram-audit-3.1-3.fc15

Comment 8 Fedora Update System 2012-02-09 14:27:58 UTC
globus-gram-audit-3.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-gram-audit-3.1-3.el5

Comment 9 Fedora Update System 2012-02-09 14:28:08 UTC
globus-gram-audit-3.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/globus-gram-audit-3.1-3.fc16

Comment 10 Fedora Update System 2012-02-09 14:28:18 UTC
globus-gram-audit-3.1-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-gram-audit-3.1-3.el4

Comment 11 Fedora Update System 2012-02-09 14:28:28 UTC
globus-gram-audit-3.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-gram-audit-3.1-3.el6

Comment 12 Fedora Update System 2012-02-09 18:45:18 UTC
globus-gram-audit-3.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 13 Fedora Update System 2012-02-17 23:51:58 UTC
globus-gram-audit-3.1-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2012-02-17 23:52:32 UTC
globus-gram-audit-3.1-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2012-02-24 23:39:34 UTC
globus-gram-audit-3.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 16 Fedora Update System 2012-02-24 23:40:03 UTC
globus-gram-audit-3.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2012-02-24 23:40:20 UTC
globus-gram-audit-3.1-3.el4 has been pushed to the Fedora EPEL 4 stable repository.


Note You need to log in before you can comment on or make changes to this bug.